Index: README.EMX
===================================================================
RCS file: README.EMX
diff -N README.EMX
--- /dev/null	Sun Dec 15 20:51:32 1996
+++ /tmp/00947aaa	Mon Jun 23 14:52:03 1997
@@ -0,0 +1,19 @@
+This is a quick EMX port of Guile 1.1 by Kaz Sasayama
+<kaz@hypercore.co.jp>.  Comments or suggestions are welcome.
+
+NEW FILES
+
+README.EMX		This file.
+libguile/Makefile.EMX	Makefile for EMX.
+libguile/scmconfig.EMX	scmconfig.h for EMX.
+
+KNOWN PROBLEMS
+
+1. You must generate *.x by some means.  No working
+   guile-snarf yet.
+
+2. You must create libpath.h.  It may be empty if you don't
+   want to hard-code directory names.
+
+3. You must run emxbind manually to generate guile.exe after
+   make.
Index: libguile/Makefile.EMX
===================================================================
RCS file: Makefile.EMX
diff -N Makefile.EMX
--- /dev/null	Sun Dec 15 20:51:32 1996
+++ /tmp/00947baa	Mon Jun 23 14:52:07 1997
@@ -0,0 +1,1331 @@
+# Makefile.EMX tailored manually by Kaz Sasayama <kaz@hypercore.co.jp>.
+# Makefile.in generated automatically by automake 1.1p from Makefile.am
+
+# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy, distribute and modify it.
+
+
+#SHELL = /bin/sh
+
+srcdir = .
+top_srcdir = ..
+prefix = built
+exec_prefix = ${prefix}
+
+bindir = ${exec_prefix}/bin
+sbindir = ${exec_prefix}/sbin
+libexecdir = ${exec_prefix}/libexec
+datadir = ${prefix}/share
+sysconfdir = ${prefix}/etc
+sharedstatedir = ${prefix}/com
+localstatedir = ${prefix}/var
+libdir = ${exec_prefix}/lib
+infodir = ${prefix}/info
+mandir = ${prefix}/man
+includedir = ${prefix}/include
+oldincludedir = /usr/include
+
+pkgdatadir = $(datadir)/guile
+pkglibdir = $(libdir)/guile
+pkgincludedir = $(includedir)/guile
+
+top_builddir = ..
+
+ACLOCAL = aclocal
+AUTOCONF = autoconf
+AUTOMAKE = automake
+AUTOHEADER = autoheader
+
+INSTALL = /usr/bin/install -c
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_SCRIPT = ${INSTALL_PROGRAM}
+transform = s,x,x,
+
+NORMAL_INSTALL = true
+PRE_INSTALL = true
+POST_INSTALL = true
+NORMAL_UNINSTALL = true
+PRE_UNINSTALL = true
+POST_UNINSTALL = true
+host_alias = i486-unknown-emx
+host_triplet = i486-unknown-emx
+ACLOCAL = aclocal
+AUTOCONF = autoconf
+AUTOHEADER = autoheader
+AUTOMAKE = automake
+AWK = gawk
+CC = gcc
+CPP = gcc -E
+LIBLOBJS = backtrace.lo stacks.lo debug.lo srcprop.lo
+LIBTOOL = $(top_builddir)/libtool
+MAINT = #M#
+MAKEINFO = makeinfo
+PACKAGE = guile
+RANLIB = @rem
+VERSION = 1.1
+qtmd_h = md/i386.h
+qtmdb_s = 
+qtmdc_c = ${top_srcdir}/qt/md/null.c
+qtmdc_o = null.o
+qtmds_o = i386.o
+qtmds_s = ${top_srcdir}/qt/md/i386.s
+target_libs = 
+xtra_PLUGIN_guile_libs = 
+
+AUTOMAKE_OPTIONS = foreign
+
+INCLUDES = -I.. -I$(srcdir)/..
+
+lib_LIBRARIES = libguile.a
+bin_PROGRAMS = guile
+
+guile_SOURCES = guile.c
+guile_LDADD = libguile.a ${THREAD_LIBS}
+
+libguile_a_SOURCES = \
+    alist.c append.c appinit.c arbiters.c async.c boolean.c chars.c \
+    continuations.c dynl.c dynwind.c eq.c error.c eval.c extchrs.c \
+    feature.c filesys.c fports.c gc.c gdbint.c genio.c gh_data.c gh_eval.c \
+    gh_funcs.c gh_init.c gh_io.c gh_list.c gh_predicates.c gsubr.c hash.c \
+    hashtab.c init.c ioext.c kw.c list.c load.c mallocs.c markers.c \
+    mbstrings.c net_db.c numbers.c objprop.c options.c pairs.c ports.c \
+    posix.c print.c procprop.c procs.c ramap.c read.c root.c scmsigs.c \
+    script.c sequences.c simpos.c smob.c socket.c stackchk.c stime.c \
+    strings.c strop.c strorder.c strports.c struct.c symbols.c tag.c \
+    throw.c unif.c variable.c vectors.c version.c vports.c weaks.c
+
+EXTRA_libguile_a_SOURCES = _scm.h \
+    backtrace.c stacks.c debug.c srcprop.c \
+    strerror.c inet_aton.c putenv.c \
+    threads.c alloca.c
+
+noinst_HEADERS = coop-threads.c coop-threads.h coop.c
+
+libguile_a_DEPENDENCIES = backtrace.o stacks.o debug.o srcprop.o inet_aton.o
+libguile_a_LIBADD = backtrace.o stacks.o debug.o srcprop.o inet_aton.o
+
+include_HEADERS = libguile.h
+
+# These are headers visible as <guile/mumble.h> 
+pkginclude_HEADERS = gh.h
+
+# These are headers visible as <libguile/mumble.h>.
+modincludedir = $(includedir)/libguile
+modinclude_HEADERS = __scm.h alist.h append.h arbiters.h async.h \
+    backtrace.h boolean.h chars.h continuations.h debug.h dynl.h dynwind.h \
+    eq.h error.h eval.h extchrs.h feature.h filesys.h fports.h gc.h \
+    gdb_interface.h gdbint.h genio.h gsubr.h hash.h hashtab.h init.h \
+    ioext.h kw.h list.h load.h mallocs.h markers.h mbstrings.h net_db.h \
+    numbers.h objprop.h options.h pairs.h ports.h posix.h print.h \
+    procprop.h procs.h ramap.h read.h root.h scmhob.h scmsigs.h script.h \
+    sequences.h simpos.h smob.h socket.h srcprop.h stackchk.h stacks.h \
+    stime.h strings.h strop.h strorder.h strports.h struct.h symbols.h \
+    tag.h tags.h throw.h unif.h variable.h vectors.h version.h vports.h \
+    weaks.h snarf.h threads.h coop-defs.h
+
+modinclude_DATA = scmconfig.h
+
+#bin_SCRIPTS = guile-snarf
+
+THREAD_LIBS = 
+check_ldadd = libguile.a ${THREAD_LIBS}
+check_PROGRAMS = gh_test_c gh_test_repl
+gh_test_c_SOURCES = gh_test_c.c
+gh_test_c_LDADD = ${check_ldadd}
+gh_test_repl_SOURCES = gh_test_repl.c
+gh_test_repl_LDADD = ${check_ldadd}
+
+EXTRA_DIST = ChangeLog-scm dynl-dl.c dynl-dld.c dynl-shl.c \
+    dynl-vms.c DYNAMIC-LINKING cpp_signal.c cpp_errno.c cpp_err_symbols.in \
+    cpp_sig_symbols.in cpp_cnvt.awk \
+    coop-threads.h.cygnus coop-threads.c.cygnus mit-pthreads.h mit-pthreads.c \
+    fsu-pthreads.h
+
+SUFFIXES = .x
+
+MKDEP = gcc -M -MG $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
+
+CLEANFILES=cpp_err_symbols_here cpp_err_symbols_diff cpp_err_symbols_new \
+	cpp_sig_symbols_here cpp_sig_symbols_diff cpp_sig_symbols_new
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = scmconfig.h
+CONFIG_CLEAN_FILES =  guile-snarf
+LIBRARIES =  $(lib_LIBRARIES)
+
+
+DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
+CPPFLAGS = -D_EMX_TCPIP
+LDFLAGS = -Zsysv-signals
+LIBS = -lsocket -lm 
+libguile_a_OBJECTS =  alist.o append.o appinit.o arbiters.o async.o \
+boolean.o chars.o continuations.o dynl.o dynwind.o eq.o error.o eval.o \
+extchrs.o feature.o filesys.o fports.o gc.o gdbint.o genio.o gh_data.o \
+gh_eval.o gh_funcs.o gh_init.o gh_io.o gh_list.o gh_predicates.o \
+gsubr.o hash.o hashtab.o init.o ioext.o kw.o list.o load.o mallocs.o \
+markers.o mbstrings.o net_db.o numbers.o objprop.o options.o pairs.o \
+ports.o posix.o print.o procprop.o procs.o ramap.o read.o root.o \
+scmsigs.o script.o sequences.o simpos.o smob.o socket.o stackchk.o \
+stime.o strings.o strop.o strorder.o strports.o struct.o symbols.o \
+tag.o throw.o unif.o variable.o vectors.o version.o vports.o weaks.o
+AR = ar
+PROGRAMS =  $(bin_PROGRAMS)
+
+guile_OBJECTS =  guile.o
+guile_DEPENDENCIES =  libguile.a
+guile_LDFLAGS = 
+gh_test_c_OBJECTS =  gh_test_c.o
+gh_test_c_DEPENDENCIES =  libguile.a
+gh_test_c_LDFLAGS = 
+gh_test_repl_OBJECTS =  gh_test_repl.o
+gh_test_repl_DEPENDENCIES =  libguile.a
+gh_test_repl_LDFLAGS = 
+SCRIPTS =  $(bin_SCRIPTS)
+
+CFLAGS = -g -O2  -Wall -Wpointer-arith
+COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
+LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
+DATA =  $(modinclude_DATA)
+
+HEADERS =  $(include_HEADERS) $(modinclude_HEADERS) $(noinst_HEADERS) \
+$(pkginclude_HEADERS)
+
+DIST_COMMON =  COPYING ChangeLog Makefile.am Makefile.in guile-snarf.in \
+scmconfig.h.in stamp-h.in
+
+
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = tar
+GZIP = --best
+SOURCES = $(libguile_a_SOURCES) $(EXTRA_libguile_a_SOURCES) $(guile_SOURCES) $(gh_test_c_SOURCES) $(gh_test_repl_SOURCES)
+OBJECTS = $(libguile_a_OBJECTS) $(guile_OBJECTS) $(gh_test_c_OBJECTS) $(gh_test_repl_OBJECTS)
+
+default: all
+
+.SUFFIXES:
+.SUFFIXES: .c .lo .o .x
+$(srcdir)/Makefile.in: #M# Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
+	cd $(top_srcdir) && $(AUTOMAKE) --foreign libguile/Makefile
+
+$(srcdir)/scmconfig.h.in: #M#$(srcdir)/stamp-h.in
+$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
+	cd $(top_srcdir) && $(AUTOHEADER)
+	echo timestamp > $(srcdir)/stamp-h.in
+
+mostlyclean-hdr:
+
+clean-hdr:
+
+distclean-hdr:
+	rm -f scmconfig.h
+
+maintainer-clean-hdr:
+guile-snarf: $(top_builddir)/config.status guile-snarf.in
+	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= ./config.status
+
+mostlyclean-libLIBRARIES:
+
+clean-libLIBRARIES:
+	test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
+
+distclean-libLIBRARIES:
+
+maintainer-clean-libLIBRARIES:
+
+install-libLIBRARIES: $(lib_LIBRARIES)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(libdir)
+	list='$(lib_LIBRARIES)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    echo " $(INSTALL_DATA) $$p $(libdir)/$$p"; \
+	    $(INSTALL_DATA) $$p $(libdir)/$$p; \
+	  else :; fi; \
+	done
+	@$(POST_INSTALL)
+	@list='$(lib_LIBRARIES)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    echo " $(RANLIB) $(libdir)/$$p"; \
+	    $(RANLIB) $(libdir)/$$p; \
+	  else :; fi; \
+	done
+
+uninstall-libLIBRARIES:
+	$(NORMAL_UNINSTALL)
+	list='$(lib_LIBRARIES)'; for p in $$list; do \
+	  rm -f $(libdir)/$$p; \
+	done
+
+.c.o:
+	$(COMPILE) -c $<
+
+mostlyclean-compile:
+	rm -f *.o core
+
+clean-compile:
+
+distclean-compile:
+	rm -f *.tab.c
+
+maintainer-clean-compile:
+
+.c.lo:
+	$(LIBTOOL) --mode=compile $(COMPILE) -c $<
+
+mostlyclean-libtool:
+	rm -f *.lo
+
+clean-libtool:
+	rm -rf .libs
+
+distclean-libtool:
+
+maintainer-clean-libtool:
+
+libguile.a: $(libguile_a_OBJECTS) $(libguile_a_DEPENDENCIES)
+	-del libguile.a
+	$(AR) cru libguile.a $(libguile_a_OBJECTS) $(libguile_a_LIBADD)
+	$(RANLIB) libguile.a
+
+mostlyclean-binPROGRAMS:
+
+clean-binPROGRAMS:
+	test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
+
+distclean-binPROGRAMS:
+
+maintainer-clean-binPROGRAMS:
+
+install-binPROGRAMS: $(bin_PROGRAMS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(bindir)
+	@list='$(bin_PROGRAMS)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
+	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`; \
+	  else :; fi; \
+	done
+
+uninstall-binPROGRAMS:
+	$(NORMAL_UNINSTALL)
+	list='$(bin_PROGRAMS)'; for p in $$list; do \
+	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
+	done
+
+mostlyclean-checkPROGRAMS:
+
+clean-checkPROGRAMS:
+	test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
+
+distclean-checkPROGRAMS:
+
+maintainer-clean-checkPROGRAMS:
+
+guile: $(guile_OBJECTS) $(guile_DEPENDENCIES)
+	@-del guile
+	$(LINK) $(guile_LDFLAGS) $(guile_OBJECTS) $(guile_LDADD) $(LIBS)
+
+gh_test_c: $(gh_test_c_OBJECTS) $(gh_test_c_DEPENDENCIES)
+	@rm -f gh_test_c
+	$(LINK) $(gh_test_c_LDFLAGS) $(gh_test_c_OBJECTS) $(gh_test_c_LDADD) $(LIBS)
+
+gh_test_repl: $(gh_test_repl_OBJECTS) $(gh_test_repl_DEPENDENCIES)
+	@rm -f gh_test_repl
+	$(LINK) $(gh_test_repl_LDFLAGS) $(gh_test_repl_OBJECTS) $(gh_test_repl_LDADD) $(LIBS)
+
+install-binSCRIPTS: $(bin_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(bindir)
+	@list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  if test -f $$p; then \
+	    echo " $(INSTALL_SCRIPT) $$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
+	    $(INSTALL_SCRIPT) $$p $(bindir)/`echo $$p|sed '$(transform)'`; \
+	  else if test -f $(srcdir)/$$p; then \
+	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
+	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(bindir)/`echo $$p|sed '$(transform)'`; \
+	  else :; fi; fi; \
+	done
+
+uninstall-binSCRIPTS:
+	$(NORMAL_UNINSTALL)
+	list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
+	done
+
+install-modincludeDATA: $(modinclude_DATA)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(modincludedir)
+	@list='$(modinclude_DATA)'; for p in $$list; do \
+	  if test -f $(srcdir)/$$p; then \
+	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(modincludedir)/$$p"; \
+	    $(INSTALL_DATA) $(srcdir)/$$p $(modincludedir)/$$p; \
+	  else if test -f $$p; then \
+	    echo " $(INSTALL_DATA) $$p $(modincludedir)/$$p"; \
+	    $(INSTALL_DATA) $$p $(modincludedir)/$$p; \
+	  fi; fi; \
+	done
+
+uninstall-modincludeDATA:
+	$(NORMAL_UNINSTALL)
+	list='$(modinclude_DATA)'; for p in $$list; do \
+	  rm -f $(modincludedir)/$$p; \
+	done
+
+install-includeHEADERS: $(include_HEADERS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(includedir)
+	@list='$(include_HEADERS)'; for p in $$list; do \
+	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p"; \
+	  $(INSTALL_DATA) $(srcdir)/$$p $(includedir)/$$p; \
+	done
+
+uninstall-includeHEADERS:
+	$(NORMAL_UNINSTALL)
+	list='$(include_HEADERS)'; for p in $$list; do \
+	  rm -f $(includedir)/$$p; \
+	done
+
+install-modincludeHEADERS: $(modinclude_HEADERS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(modincludedir)
+	@list='$(modinclude_HEADERS)'; for p in $$list; do \
+	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(modincludedir)/$$p"; \
+	  $(INSTALL_DATA) $(srcdir)/$$p $(modincludedir)/$$p; \
+	done
+
+uninstall-modincludeHEADERS:
+	$(NORMAL_UNINSTALL)
+	list='$(modinclude_HEADERS)'; for p in $$list; do \
+	  rm -f $(modincludedir)/$$p; \
+	done
+
+install-pkgincludeHEADERS: $(pkginclude_HEADERS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(pkgincludedir)
+	@list='$(pkginclude_HEADERS)'; for p in $$list; do \
+	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(pkgincludedir)/$$p"; \
+	  $(INSTALL_DATA) $(srcdir)/$$p $(pkgincludedir)/$$p; \
+	done
+
+uninstall-pkgincludeHEADERS:
+	$(NORMAL_UNINSTALL)
+	list='$(pkginclude_HEADERS)'; for p in $$list; do \
+	  rm -f $(pkgincludedir)/$$p; \
+	done
+
+tags: TAGS
+
+ID: $(HEADERS) $(SOURCES)
+	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)
+
+TAGS:  $(HEADERS) $(SOURCES) scmconfig.h.in $(TAGS_DEPENDENCIES)
+	tags=; \
+	here=`pwd`; \
+	test -z "$(ETAGS_ARGS)scmconfig.h.in$(SOURCES)$(HEADERS)$$tags" \
+	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags scmconfig.h.in $(SOURCES) $(HEADERS) -o $$here/TAGS)
+
+mostlyclean-tags:
+
+clean-tags:
+
+distclean-tags:
+	rm -f TAGS ID
+
+maintainer-clean-tags:
+
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
+
+subdir = libguile
+
+distdir: $(DISTFILES)
+	@for file in $(DISTFILES); do \
+	  d=$(srcdir); \
+	  test -f $(distdir)/$$file \
+	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+	  || cp -p $$d/$$file $(distdir)/$$file; \
+	done
+alist.o alist.lo: alist.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eq.h alist.h \
+	alist.x
+alloca.o alloca.lo: alloca.c scmconfig.h
+append.o append.lo: append.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h append.h append.x
+appinit.o appinit.lo: appinit.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h
+arbiters.o arbiters.lo: arbiters.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h smob.h ../libguile/ports.h ../libguile/genio.h \
+	../libguile/markers.h arbiters.h arbiters.x
+async.o async.lo: async.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eval.h throw.h \
+	smob.h ../libguile/ports.h ../libguile/genio.h \
+	../libguile/markers.h async.x
+backtrace.o backtrace.lo: backtrace.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h stacks.h srcprop.h genio.h struct.h strports.h \
+	backtrace.h backtrace.x
+boolean.o boolean.lo: boolean.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h boolean.x
+chars.o chars.lo: chars.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h chars.x
+continuations.o continuations.lo: continuations.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h stackchk.h ../libguile/continuations.h debug.h \
+	dynwind.h continuations.h continuations.x
+debug.o debug.lo: debug.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eval.h throw.h \
+	genio.h smob.h ../libguile/ports.h ../libguile/genio.h \
+	../libguile/markers.h procprop.h srcprop.h alist.h \
+	continuations.h strports.h read.h feature.h debug.h debug.x
+dynl.o dynl.lo: dynl.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h dynl.h genio.h \
+	smob.h ../libguile/ports.h ../libguile/genio.h \
+	../libguile/markers.h dynl.x
+dynwind.o dynwind.lo: dynwind.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eval.h alist.h \
+	dynwind.h dynwind.x
+eq.o eq.lo: eq.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h ramap.h stackchk.h \
+	../libguile/continuations.h strorder.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	unif.h eq.h eq.x
+error.o error.lo: error.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h throw.h \
+	cpp_err_symbols.c error.x
+eval.o eval.lo: eval.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h debug.h append.h \
+	alist.h sequences.h eq.h continuations.h throw.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	markers.h procprop.h hashtab.h hash.h srcprop.h stackchk.h \
+	../libguile/continuations.h eval.h eval.c eval.x
+extchrs.o extchrs.lo: extchrs.c extchrs.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h
+feature.o feature.lo: feature.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h feature.h feature.x
+filesys.o filesys.lo: filesys.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	feature.h fports.h filesys.h filesys.x
+fports.o fports.lo: fports.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h markers.h fports.h \
+	../libguile/ports.h fports.x
+gc.o gc.lo: gc.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h stime.h stackchk.h \
+	../libguile/continuations.h struct.h genio.h weaks.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	unif.h gc.x
+gdbint.o gdbint.lo: gdbint.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h tag.h strports.h \
+	read.h eval.h chars.h gdbint.h gdb_interface.h
+genio.o genio.lo: genio.c extchrs.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h _scm.h __scm.h \
+	error.h print.h ../libguile/options.h pairs.h list.h gc.h \
+	gsubr.h procs.h numbers.h symbols.h boolean.h strings.h \
+	vectors.h root.h ../libguile/debug.h ports.h async.h snarf.h \
+	chars.h genio.h
+gh_data.o gh_data.lo: gh_data.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_eval.o gh_eval.lo: gh_eval.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_funcs.o gh_funcs.lo: gh_funcs.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_init.o gh_init.lo: gh_init.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_io.o gh_io.lo: gh_io.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_list.o gh_list.lo: gh_list.c gh.h libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_predicates.o gh_predicates.lo: gh_predicates.c gh.h libguile.h \
+	../libguile/__scm.h ../libguile/scmconfig.h ../libguile/tags.h \
+	../libguile/print.h ../libguile/options.h ../libguile/smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	../libguile/pairs.h ../libguile/alist.h ../libguile/append.h \
+	../libguile/arbiters.h ../libguile/async.h \
+	../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_test_c.o gh_test_c.lo: gh_test_c.c gh.h libguile.h \
+	../libguile/__scm.h ../libguile/scmconfig.h ../libguile/tags.h \
+	../libguile/print.h ../libguile/options.h ../libguile/smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	../libguile/pairs.h ../libguile/alist.h ../libguile/append.h \
+	../libguile/arbiters.h ../libguile/async.h \
+	../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gh_test_repl.o gh_test_repl.lo: gh_test_repl.c gh.h libguile.h \
+	../libguile/__scm.h ../libguile/scmconfig.h ../libguile/tags.h \
+	../libguile/print.h ../libguile/options.h ../libguile/smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	../libguile/pairs.h ../libguile/alist.h ../libguile/append.h \
+	../libguile/arbiters.h ../libguile/async.h \
+	../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h
+gsubr.o gsubr.lo: gsubr.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h procprop.h
+guile.o guile.lo: guile.c libguile.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h ../libguile/print.h \
+	../libguile/options.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/debug.h ../libguile/stacks.h ../libguile/dynwind.h \
+	../libguile/eq.h ../libguile/error.h ../libguile/eval.h \
+	../libguile/extchrs.h ../libguile/feature.h \
+	../libguile/filesys.h ../libguile/fports.h ../libguile/gc.h \
+	../libguile/gdbint.h ../libguile/gsubr.h ../libguile/hash.h \
+	../libguile/hashtab.h ../libguile/init.h ../libguile/ioext.h \
+	../libguile/kw.h ../libguile/list.h ../libguile/load.h \
+	../libguile/mallocs.h ../libguile/mbstrings.h \
+	../libguile/symbols.h ../libguile/net_db.h \
+	../libguile/numbers.h ../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h \
+	../libguile/gdb_interface.h
+hash.o hash.lo: hash.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h hash.h \
+	hash.x
+hashtab.o hashtab.lo: hashtab.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h alist.h hash.h \
+	eval.h hashtab.h hashtab.x
+inet_aton.o inet_aton.lo: inet_aton.c
+init.o init.lo: init.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h alist.h append.h \
+	arbiters.h backtrace.h chars.h continuations.h debug.h dynl.h \
+	dynwind.h eq.h eval.h feature.h filesys.h fports.h \
+	../libguile/ports.h gdbint.h hash.h hashtab.h ioext.h kw.h \
+	load.h mallocs.h mbstrings.h ../libguile/symbols.h net_db.h \
+	objprop.h options.h posix.h procprop.h ramap.h read.h scmsigs.h \
+	script.h sequences.h simpos.h smob.h ../libguile/genio.h \
+	../libguile/markers.h socket.h srcprop.h stackchk.h \
+	../libguile/continuations.h stacks.h stime.h strop.h strorder.h \
+	strports.h struct.h tag.h throw.h unif.h variable.h version.h \
+	vports.h weaks.h init.h
+ioext.o ioext.lo: ioext.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h read.h \
+	fports.h ../libguile/ports.h unif.h chars.h ioext.h ioext.x
+kw.o kw.lo: kw.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h mbstrings.h \
+	../libguile/symbols.h smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h kw.h kw.x
+list.o list.lo: list.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eq.h list.x
+load.o load.lo: load.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h libpath.h fports.h \
+	../libguile/ports.h read.h eval.h throw.h load.h load.x
+mallocs.o mallocs.lo: mallocs.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	mallocs.h
+markers.o markers.lo: markers.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h markers.h
+mbstrings.o mbstrings.lo: mbstrings.c extchrs.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h _scm.h __scm.h \
+	error.h print.h ../libguile/options.h pairs.h list.h gc.h \
+	gsubr.h procs.h numbers.h symbols.h boolean.h strings.h \
+	vectors.h root.h ../libguile/debug.h ports.h async.h snarf.h \
+	chars.h unif.h genio.h read.h mbstrings.h ../libguile/symbols.h \
+	mbstrings.x
+net_db.o net_db.lo: net_db.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h feature.h net_db.h \
+	net_db.x
+numbers.o numbers.lo: numbers.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h unif.h \
+	numbers.x
+objprop.o objprop.lo: objprop.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h hashtab.h alist.h \
+	weaks.h objprop.h objprop.x
+options.o options.lo: options.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h options.h options.x
+pairs.o pairs.lo: pairs.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h pairs.x
+ports.o ports.lo: ports.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h chars.h \
+	markers.h filesys.h fports.h ../libguile/ports.h strports.h \
+	vports.h ports.x
+posix.o posix.lo: posix.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h fports.h \
+	../libguile/ports.h scmsigs.h feature.h posix.h \
+	cpp_sig_symbols.c posix.x
+print.o print.lo: print.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h genio.h \
+	mbstrings.h ../libguile/symbols.h smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h eval.h procprop.h \
+	read.h weaks.h unif.h alist.h struct.h print.x
+procprop.o procprop.lo: procprop.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h alist.h eval.h procprop.h procprop.x
+procs.o procs.lo: procs.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h procs.x
+putenv.o putenv.lo: putenv.c ../libguile/scmconfig.h
+ramap.o ramap.lo: ramap.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h unif.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	chars.h eq.h eval.h feature.h ramap.h ramap.x
+read.o read.lo: read.c extchrs.h ../libguile/__scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h _scm.h __scm.h \
+	error.h print.h ../libguile/options.h pairs.h list.h gc.h \
+	gsubr.h procs.h numbers.h symbols.h boolean.h strings.h \
+	vectors.h root.h ../libguile/debug.h ports.h async.h snarf.h \
+	chars.h genio.h eval.h unif.h mbstrings.h ../libguile/symbols.h \
+	kw.h alist.h srcprop.h hashtab.h hash.h read.h read.x
+root.o root.lo: root.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h stackchk.h \
+	../libguile/continuations.h dynwind.h eval.h genio.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	throw.h root.x
+scmsigs.o scmsigs.lo: scmsigs.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h scmsigs.h scmsigs.x
+script.o script.lo: script.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h gh.h libguile.h \
+	../libguile/print.h ../libguile/smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h ../libguile/pairs.h \
+	../libguile/alist.h ../libguile/append.h ../libguile/arbiters.h \
+	../libguile/async.h ../libguile/boolean.h ../libguile/chars.h \
+	../libguile/continuations.h ../libguile/backtrace.h \
+	../libguile/stacks.h ../libguile/dynwind.h ../libguile/eq.h \
+	../libguile/error.h ../libguile/eval.h ../libguile/extchrs.h \
+	../libguile/feature.h ../libguile/filesys.h \
+	../libguile/fports.h ../libguile/gc.h ../libguile/gdbint.h \
+	../libguile/gsubr.h ../libguile/hash.h ../libguile/hashtab.h \
+	../libguile/init.h ../libguile/ioext.h ../libguile/kw.h \
+	../libguile/list.h ../libguile/load.h ../libguile/mallocs.h \
+	../libguile/mbstrings.h ../libguile/symbols.h \
+	../libguile/net_db.h ../libguile/numbers.h \
+	../libguile/objprop.h ../libguile/posix.h \
+	../libguile/procprop.h ../libguile/procs.h ../libguile/ramap.h \
+	../libguile/read.h ../libguile/root.h ../libguile/scmsigs.h \
+	../libguile/script.h ../libguile/sequences.h \
+	../libguile/simpos.h ../libguile/snarf.h ../libguile/socket.h \
+	../libguile/srcprop.h ../libguile/stackchk.h \
+	../libguile/stime.h ../libguile/strings.h ../libguile/strop.h \
+	../libguile/strorder.h ../libguile/strports.h \
+	../libguile/struct.h ../libguile/tag.h ../libguile/throw.h \
+	../libguile/unif.h ../libguile/variable.h ../libguile/vectors.h \
+	../libguile/version.h ../libguile/vports.h ../libguile/weaks.h \
+	load.h script.h script.x
+sequences.o sequences.lo: sequences.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h sequences.h sequences.x
+simpos.o simpos.lo: simpos.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h scmsigs.h simpos.h \
+	simpos.x
+smob.o smob.lo: smob.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h
+socket.o socket.lo: socket.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h unif.h feature.h \
+	fports.h ../libguile/ports.h socket.h socket.x
+srcprop.o srcprop.lo: srcprop.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	alist.h debug.h hashtab.h hash.h weaks.h srcprop.h srcprop.x
+stackchk.o stackchk.lo: stackchk.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h genio.h stackchk.h ../libguile/continuations.h \
+	stackchk.x
+stacks.o stacks.lo: stacks.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h debug.h \
+	continuations.h struct.h stacks.h stacks.x
+stime.o stime.lo: stime.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h feature.h \
+	sequences.h stime.h stime.x
+strerror.o strerror.lo: strerror.c
+strings.o strings.lo: strings.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h strings.x
+strop.o strop.lo: strop.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h strop.h \
+	strop.x
+strorder.o strorder.lo: strorder.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h chars.h strorder.h strorder.x
+strports.o strports.lo: strports.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h unif.h eval.h read.h strports.h strports.x
+struct.o struct.lo: struct.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h struct.h \
+	struct.x
+symbols.o symbols.lo: symbols.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h eval.h \
+	variable.h alist.h mbstrings.h ../libguile/symbols.h weaks.h \
+	symbols.x
+tag.o tag.lo: tag.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h struct.h \
+	tag.h tag.x
+threads.o threads.lo: threads.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h dynwind.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	threads.h ../libguile/procs.h threads.x
+throw.o throw.lo: throw.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h genio.h smob.h \
+	../libguile/ports.h ../libguile/genio.h ../libguile/markers.h \
+	alist.h eval.h eq.h dynwind.h backtrace.h debug.h \
+	continuations.h stackchk.h ../libguile/continuations.h throw.h \
+	throw.x
+unif.o unif.lo: unif.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h chars.h eval.h \
+	genio.h smob.h ../libguile/ports.h ../libguile/genio.h \
+	../libguile/markers.h sequences.h strop.h feature.h unif.h \
+	ramap.h unif.x
+variable.o variable.lo: variable.c _scm.h __scm.h \
+	../libguile/scmconfig.h ../libguile/tags.h error.h \
+	../libguile/__scm.h print.h ../libguile/options.h pairs.h \
+	list.h gc.h gsubr.h procs.h numbers.h symbols.h boolean.h \
+	strings.h vectors.h root.h ../libguile/debug.h ports.h async.h \
+	snarf.h eq.h genio.h smob.h ../libguile/ports.h \
+	../libguile/genio.h ../libguile/markers.h variable.h variable.x
+vectors.o vectors.lo: vectors.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eq.h vectors.x
+version.o version.lo: version.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h version.h version.x
+vports.o vports.lo: vports.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h eval.h chars.h \
+	fports.h ../libguile/ports.h vports.h vports.x
+weaks.o weaks.lo: weaks.c _scm.h __scm.h ../libguile/scmconfig.h \
+	../libguile/tags.h error.h ../libguile/__scm.h print.h \
+	../libguile/options.h pairs.h list.h gc.h gsubr.h procs.h \
+	numbers.h symbols.h boolean.h strings.h vectors.h root.h \
+	../libguile/debug.h ports.h async.h snarf.h weaks.h weaks.x
+
+info:
+dvi:
+check: all $(check_PROGRAMS)
+	$(MAKE) check-local
+installcheck:
+install-exec: install-libLIBRARIES install-binPROGRAMS install-binSCRIPTS
+	@$(NORMAL_INSTALL)
+
+install-data: install-modincludeDATA install-includeHEADERS install-modincludeHEADERS install-pkgincludeHEADERS
+	@$(NORMAL_INSTALL)
+
+install: install-exec install-data all
+	@:
+
+uninstall: uninstall-libLIBRARIES uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-modincludeDATA uninstall-includeHEADERS uninstall-modincludeHEADERS uninstall-pkgincludeHEADERS
+
+all: $(LIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA) $(HEADERS)
+
+install-strip:
+	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
+installdirs:
+	$(mkinstalldirs)  $(libdir) $(bindir) $(bindir) $(modincludedir) \
+		$(includedir) $(modincludedir) $(pkgincludedir)
+
+
+mostlyclean-generic:
+	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
+
+clean-generic:
+	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	rm -f Makefile $(DISTCLEANFILES)
+	rm -f config.cache config.log stamp-h stamp-h[0-9]*
+	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
+	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
+mostlyclean:  mostlyclean-hdr mostlyclean-libLIBRARIES \
+		mostlyclean-compile mostlyclean-libtool \
+		mostlyclean-binPROGRAMS mostlyclean-checkPROGRAMS \
+		mostlyclean-tags mostlyclean-generic
+
+clean:  clean-hdr clean-libLIBRARIES clean-compile clean-libtool \
+		clean-binPROGRAMS clean-checkPROGRAMS clean-tags \
+		clean-generic mostlyclean
+
+distclean:  distclean-hdr distclean-libLIBRARIES distclean-compile \
+		distclean-libtool distclean-binPROGRAMS \
+		distclean-checkPROGRAMS distclean-tags \
+		distclean-generic clean
+	rm -f config.status
+	rm -f libtool
+
+maintainer-clean:  maintainer-clean-hdr maintainer-clean-libLIBRARIES \
+		maintainer-clean-compile maintainer-clean-libtool \
+		maintainer-clean-binPROGRAMS \
+		maintainer-clean-checkPROGRAMS maintainer-clean-tags \
+		maintainer-clean-generic distclean
+	@echo "This command is intended for maintainers to use;"
+	@echo "it deletes files that may require special tools to rebuild."
+
+.PHONY: default mostlyclean-hdr distclean-hdr clean-hdr \
+maintainer-clean-hdr mostlyclean-libLIBRARIES distclean-libLIBRARIES \
+clean-libLIBRARIES maintainer-clean-libLIBRARIES uninstall-libLIBRARIES \
+install-libLIBRARIES mostlyclean-compile distclean-compile \
+clean-compile maintainer-clean-compile mostlyclean-libtool \
+distclean-libtool clean-libtool maintainer-clean-libtool \
+mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
+maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
+mostlyclean-checkPROGRAMS distclean-checkPROGRAMS clean-checkPROGRAMS \
+maintainer-clean-checkPROGRAMS uninstall-binSCRIPTS install-binSCRIPTS \
+uninstall-modincludeDATA install-modincludeDATA \
+uninstall-includeHEADERS install-includeHEADERS \
+uninstall-modincludeHEADERS install-modincludeHEADERS \
+uninstall-pkgincludeHEADERS install-pkgincludeHEADERS tags \
+mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
+distdir info dvi check-local installcheck install-exec install-data \
+install uninstall all installdirs mostlyclean-generic distclean-generic \
+clean-generic maintainer-clean-generic clean mostlyclean distclean \
+maintainer-clean
+
+
+check-local:
+	echo '(+ 1 2 3)' | ./gh_test_c; echo
+	echo '(+ 1 2 3)' | ./gh_test_repl; echo
+
+cpp_err_symbols.c: cpp_err_symbols.in
+	$(AWK) -f $(srcdir)/cpp_cnvt.awk < $(srcdir)/cpp_err_symbols.in > \
+		cpp_err_symbols.tmp
+	mv cpp_err_symbols.tmp cpp_err_symbols.c
+
+cpp_sig_symbols.c: cpp_sig_symbols.in
+	$(AWK) -f $(srcdir)/cpp_cnvt.awk < $(srcdir)/cpp_sig_symbols.in > \
+		cpp_sig_symbols.tmp
+	mv cpp_sig_symbols.tmp cpp_sig_symbols.c
+
+check_signals:
+	gcc -undef -dM -E $(srcdir)/cpp_signal.c | egrep ' SIG[A-Z]+' \
+	  | cut -f2 -d' ' | sort > cpp_sig_symbols_here
+	diff -u $(srcdir)/cpp_sig_symbols.in cpp_sig_symbols_here \
+          | egrep '^\+S' \
+	  | cut -c2- > cpp_sig_symbols_diff
+	if test -s cpp_sig_symbols_diff ; then \
+	  cat $(srcdir)/cpp_sig_symbols.in cpp_sig_symbols_diff \
+	    | sort > cpp_sig_symbols_new ;\
+	  echo "cpp_sig_symbols_new has the following additions:" ;\
+	  cat cpp_sig_symbols_diff ;\
+	else echo "No new symbols found."; \
+	fi
+
+check_errnos:
+	gcc -undef -dM -E $(srcdir)/cpp_errno.c | egrep ' E.+' \
+	  | cut -f2 -d' ' | sort > cpp_err_symbols_here
+	diff -u $(srcdir)/cpp_err_symbols.in cpp_err_symbols_here \
+          | egrep '^\+E' \
+	  | cut -c2- > cpp_err_symbols_diff
+	if test -s cpp_err_symbols_diff ; then \
+	  cat $(srcdir)/cpp_err_symbols.in cpp_err_symbols_diff \
+	    | sort > cpp_err_symbols_new ;\
+	  echo "cpp_err_symbols_new has the following additions:" ;\
+	  cat cpp_err_symbols_diff ;\
+	else echo "No new symbols found."; \
+	fi
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
Index: libguile/filesys.c
===================================================================
RCS file: /cvsroot/gnu/guile/libguile/filesys.c,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- filesys.c	1997-06-11 15:06:47+09	1.1.1.2
+++ filesys.c	1997-06-23 13:43:56+09	1.2
@@ -38,6 +38,8 @@
  * whether to permit this exception to apply to your modifications.
  * If you do not wish that, delete this exception notice.  
  */
+
+/* 23 Jun 1997 Modified by Kaz Sasayama <kaz@hypercore.co.jp>.  */
 
 #include <stdio.h>
 #include "_scm.h"
@@ -136,6 +138,7 @@
      SCM owner;
      SCM group;
 {
+#ifndef __EMX__			/* EMX lacks chown.  */
   int val;
 
   SCM_ASSERT (SCM_NIMP (path) && SCM_ROSTRINGP (path), path, SCM_ARG1, s_chown);
@@ -148,6 +151,11 @@
   if (val != 0)
     scm_syserror (s_chown);
   return SCM_UNSPECIFIED;
+#else
+  scm_sysmissing (s_chown);
+  /* not reached.  */
+  return SCM_BOOL_F;
+#endif
 }
 
 
@@ -169,9 +177,15 @@
   else
     {
       SCM_ASSERT (SCM_OPFPORTP (port_or_path), port_or_path, SCM_ARG1, s_chmod);
+#ifndef __EMX__			/* EMX lacks fchmod.  */
       rv = fileno ((FILE *)SCM_STREAM (port_or_path));
       if (rv != -1)
 	SCM_SYSCALL (rv = fchmod (rv, SCM_INUM (mode)));
+#else
+      /* FIXME */
+      errno = ENOSYS;
+      rv = -1;
+#endif
     }
   if (rv != 0)
     scm_syserror (s_chmod);
@@ -315,10 +329,14 @@
       ve[13] = scm_sym_regular;
     else if (S_ISDIR (mode))
       ve[13] = scm_sym_directory;
+#ifdef S_ISLNK			/* missing on EMX */
     else if (S_ISLNK (mode))
       ve[13] = scm_sym_symlink;
+#endif
+#ifdef S_ISBLK			/* missing on EMX */
     else if (S_ISBLK (mode))
       ve[13] = scm_sym_block_special;
+#endif
     else if (S_ISCHR (mode))
       ve[13] = scm_sym_char_special;
     else if (S_ISFIFO (mode))
@@ -417,6 +435,7 @@
      SCM oldpath;
      SCM newpath;
 {
+#ifndef __EMX__			/* EMX lacks link.  */
   int val;
 
   SCM_ASSERT (SCM_NIMP (oldpath) && SCM_ROSTRINGP (oldpath), oldpath, SCM_ARG1, s_link);
@@ -429,6 +448,11 @@
   if (val != 0)
     scm_syserror (s_link);
   return SCM_UNSPECIFIED;
+#else
+  scm_sysmissing (s_link);
+  /* not reached.  */
+  return SCM_BOOL_F;
+#endif
 }
 
 
Index: libguile/inet_aton.c
===================================================================
RCS file: /cvsroot/gnu/guile/libguile/inet_aton.c,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- inet_aton.c	1997-02-04 19:04:58+09	1.1.1.1
+++ inet_aton.c	1997-06-23 13:44:00+09	1.2
@@ -31,6 +31,8 @@
  * SUCH DAMAGE.
  */
 
+/* 23 Jun 1997 Modified by Kaz Sasayama <kaz@hypercore.co.jp>.  */
+
 #if defined(LIBC_SCCS) && !defined(lint)
 static char sccsid[] = "@(#)inet_addr.c	8.1 (Berkeley) 6/17/93";
 #endif /* LIBC_SCCS and not lint */
@@ -38,6 +40,7 @@
 #include <ctype.h>
 
 #include <sys/param.h>
+#include <sys/types.h>		/* required on EMX */
 #include <netinet/in.h>
 #include <arpa/inet.h>
 
Index: libguile/load.c
===================================================================
RCS file: /cvsroot/gnu/guile/libguile/load.c,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- load.c	1997-06-11 15:06:55+09	1.1.1.2
+++ load.c	1997-06-23 13:44:04+09	1.2
@@ -38,6 +38,8 @@
  * whether to permit this exception to apply to your modifications.
  * If you do not wish that, delete this exception notice.  
  */
+
+/* 23 Jun 1997 Modified by Kaz Sasayama <kaz@hypercore.co.jp>.  */
 
 
 #include <stdio.h>
@@ -147,7 +149,11 @@
 	do {
 	  /* Scan back to the beginning of the current element.  */
 	  do scan--;
+#ifndef __EMX__
 	  while (scan >= path_string && *scan != ':');
+#else
+	  while (scan >= path_string && *scan != ';');
+#endif
 	  path = scm_cons (scm_makfromstr (scan + 1, elt_end - (scan + 1), 0),
 			   path);
 	  elt_end = scan;
Index: libguile/posix.c
===================================================================
RCS file: /cvsroot/gnu/guile/libguile/posix.c,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- posix.c	1997-06-11 15:07:01+09	1.1.1.2
+++ posix.c	1997-06-23 13:44:07+09	1.2
@@ -38,6 +38,8 @@
  * whether to permit this exception to apply to your modifications.
  * If you do not wish that, delete this exception notice.  
  */
+
+/* 23 Jun 1997 Modified by Kaz Sasayama <kaz@hypercore.co.jp>.  */
 
 
 #include <stdio.h>
@@ -330,7 +332,13 @@
   SCM_DEFER_INTS;
   if (SCM_UNBNDP (name) || (name == SCM_BOOL_F))
     {
+#ifndef __EMX__			/* EMX lacks getgrent.  */
       SCM_SYSCALL (entry = getgrent ());
+#else
+      /* FIXME */
+      errno = ENOSYS;
+      entry = NULL;
+#endif
       if (! entry)
 	{
 	  SCM_ALLOW_INTS;
@@ -350,7 +358,11 @@
     scm_syserror (s_getgrgid);
 
   ve[0] = scm_makfrom0str (entry->gr_name);
+#ifndef __EMX__			/* EMX lacks gr_passwd.  */
   ve[1] = scm_makfrom0str (entry->gr_passwd);
+#else
+  ve[1] = SCM_BOOL_F;
+#endif
   ve[2] = scm_ulong2num ((unsigned long) entry->gr_gid);
   ve[3] = scm_makfromstrs (-1, entry->gr_mem);
   SCM_ALLOW_INTS;
@@ -365,11 +377,17 @@
 scm_setgrent (arg)
      SCM arg;
 {
+#ifndef __EMX__			/* EMX lacks setgrent.  */
   if (SCM_UNBNDP (arg) || SCM_FALSEP (arg))
     endgrent ();
   else
     setgrent ();
   return SCM_UNSPECIFIED;
+#else
+  scm_sysmissing (s_setgrent);
+  /* not reached.  */
+  return SCM_BOOL_F;
+#endif
 }
 
 
Index: libguile/scmconfig.EMX
===================================================================
RCS file: scmconfig.EMX
diff -N scmconfig.EMX
--- /dev/null	Sun Dec 15 20:51:32 1996
+++ /tmp/00947caa	Mon Jun 23 14:52:16 1997
@@ -0,0 +1,328 @@
+/* libguile/scmconfig.EMX.  Tailored manually by Kaz Sasayama <kaz@hypercore.co.jp>.  */
+/* libguile/scmconfig.h.in.  Generated automatically from configure.in by autoheader.  */
+
+/* Define if on AIX 3.
+   System headers sometimes define this.
+   We just want to avoid a redefinition error message.  */
+#ifndef _ALL_SOURCE
+/* #undef _ALL_SOURCE */
+#endif
+
+/* Define if using alloca.c.  */
+/* #undef C_ALLOCA */
+
+/* Define to empty if the keyword does not work.  */
+/* #undef const */
+
+/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
+   This function is required for alloca.c support on those systems.  */
+/* #undef CRAY_STACKSEG_END */
+
+/* Define to the type of elements in the array set by `getgroups'.
+   Usually this is either `int' or `gid_t'.  */
+#define GETGROUPS_T gid_t
+
+/* Define to `int' if <sys/types.h> doesn't define.  */
+/* #undef gid_t */
+
+/* Define if you have alloca, as a function or macro.  */
+#define HAVE_ALLOCA 1
+
+/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
+#define HAVE_ALLOCA_H 1
+
+/* Define if your struct stat has st_blksize.  */
+/* #undef HAVE_ST_BLKSIZE */
+
+/* Define if your struct stat has st_blocks.  */
+/* #undef HAVE_ST_BLOCKS */
+
+/* Define if your struct stat has st_rdev.  */
+#define HAVE_ST_RDEV 1
+
+/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
+#define HAVE_SYS_WAIT_H 1
+
+/* Define if your struct tm has tm_zone.  */
+/* #undef HAVE_TM_ZONE */
+
+/* Define if you don't have tm_zone but do have the external array
+   tzname.  */
+#define HAVE_TZNAME 1
+
+/* Define if on MINIX.  */
+/* #undef _MINIX */
+
+/* Define to `int' if <sys/types.h> doesn't define.  */
+/* #undef mode_t */
+
+/* Define if the system does not provide POSIX.1 features except
+   with this defined.  */
+/* #undef _POSIX_1_SOURCE */
+
+/* Define if you need to in order for stat and other things to work.  */
+/* #undef _POSIX_SOURCE */
+
+/* Define as the return type of signal handlers (int or void).  */
+#define RETSIGTYPE void
+
+/* If using the C implementation of alloca, define if you know the
+   direction of stack growth for your system; otherwise it will be
+   automatically deduced at run-time.
+ STACK_DIRECTION > 0 => grows toward higher addresses
+ STACK_DIRECTION < 0 => grows toward lower addresses
+ STACK_DIRECTION = 0 => direction of growth unknown
+ */
+/* #undef STACK_DIRECTION */
+
+/* Define if you have the ANSI C header files.  */
+#define STDC_HEADERS 1
+
+/* Define if you can safely include both <sys/time.h> and <time.h>.  */
+#define TIME_WITH_SYS_TIME 1
+
+/* Define if your <sys/time.h> declares struct tm.  */
+/* #undef TM_IN_SYS_TIME */
+
+/* Define to `int' if <sys/types.h> doesn't define.  */
+/* #undef uid_t */
+
+/* Define these two if you want support for debugging of Scheme
+   programs.  */
+#define DEBUG_EXTENSIONS 1
+#define READER_EXTENSIONS 1
+
+/* Define this if your system has a way to set a stdio stream's file
+   descriptor.  */
+#define FD_SETTER _handle
+
+/* Set this to the name of a field in FILE which contains the number
+   of buffered characters waiting to be read.  */
+#define FILE_CNT_FIELD _rcount
+
+/* Define this if your stdio has _gptr and _egptr fields which can
+   be compared to give the number of buffered characters waiting to
+   be read.  */
+/* #undef FILE_CNT_GPTR */
+
+/* Define this if your stdio has _IO_read_ptr and _IO_read_end fields
+   which can be compared to give the number of buffered characters
+   waiting to be read.  */
+/* #undef FILE_CNT_READPTR */
+
+/* Define this if your system defines struct linger, for use with the
+   getsockopt and setsockopt system calls.  */
+#define HAVE_STRUCT_LINGER 1
+
+/* Define this if floats are the same size as longs.  */
+#define SCM_SINGLES 1
+
+/* Define this if a callee's stack frame has a higher address than the
+   caller's stack frame.  On most machines, this is not the case.  */
+/* #undef SCM_STACK_GROWS_UP */
+
+/* Define this if <utime.h> doesn't define struct utimbuf unless
+   _POSIX_SOURCE is #defined.  See GUILE_STRUCT_UTIMBUF in aclocal.m4.  */
+/* #undef UTIMBUF_NEEDS_POSIX */
+
+/* Define this if we should #include <libc.h> when we've already
+   #included <unistd.h>.  On some systems, they conflict, and libc.h
+   should be omitted.  See GUILE_HEADER_LIBC_WITH_UNISTD in
+   aclocal.m4.  */
+/* #undef LIBC_H_WITH_UNISTD_H */
+
+/* Define these to indicate the current version of Guile.  These
+   values are supposed to be supplied by the configuration system.  */
+#define GUILE_MAJOR_VERSION "1"
+#define GUILE_MINOR_VERSION "1"
+#define GUILE_VERSION "1.1"
+
+/* Define this to include various undocumented functions used to debug
+   the Guile library itself.  */
+#define GUILE_DEBUG 1
+
+/* Define if using cooperative multithreading.  */
+/* #undef USE_COOP_THREADS */
+
+/* Define if using "FSU" pthreads.  */
+/* #undef USE_FSU_PTHREADS */
+
+/* Define if using MIT pthreads.  */
+/* #undef USE_MIT_PTHREADS */
+
+/* Define if using PCthreads pthreads.  */
+/* #undef USE_PCTHREADS_PTHREADS */
+
+/* Define if using any sort of threads.  */
+/* #undef USE_THREADS */
+
+/* Define if you want support for dynamic linking. */
+/* #undef DYNAMIC_LINKING */
+
+/* Define if you have the ctermid function.  */
+/* #undef HAVE_CTERMID */
+
+/* Define if you have the ftime function.  */
+/* #undef HAVE_FTIME */ /* EMX? */
+
+/* Define if you have the getcwd function.  */
+#define HAVE_GETCWD 1
+
+/* Define if you have the geteuid function.  */
+#define HAVE_GETEUID 1
+
+/* Define if you have the gethostent function.  */
+/* #undef HAVE_GETHOSTENT */
+
+/* Define if you have the gettimeofday function.  */
+#define HAVE_GETTIMEOFDAY 1
+
+/* Define if you have the inet_aton function.  */
+/* #undef HAVE_INET_ATON */
+
+/* Define if you have the lstat function.  */
+/* #undef HAVE_LSTAT */
+
+/* Define if you have the mkdir function.  */
+#define HAVE_MKDIR 1
+
+/* Define if you have the mknod function.  */
+/* #undef HAVE_MKNOD */
+
+/* Define if you have the nice function.  */
+/* #undef HAVE_NICE */
+
+/* Define if you have the putenv function.  */
+#define HAVE_PUTENV 1
+
+/* Define if you have the readlink function.  */
+/* #undef HAVE_READLINK */
+
+/* Define if you have the rename function.  */
+#define HAVE_RENAME 1
+
+/* Define if you have the rmdir function.  */
+#define HAVE_RMDIR 1
+
+/* Define if you have the select function.  */
+#define HAVE_SELECT 1
+
+/* Define if you have the setegid function.  */
+/* #undef HAVE_SETEGID */
+
+/* Define if you have the seteuid function.  */
+/* #undef HAVE_SETEUID */
+
+/* Define if you have the setlocale function.  */
+#define HAVE_SETLOCALE 1
+
+/* Define if you have the setpgid function.  */
+#define HAVE_SETPGID 1
+
+/* Define if you have the setsid function.  */
+/* #undef HAVE_SETSID */
+
+/* Define if you have the shl_load function.  */
+/* #undef HAVE_SHL_LOAD */
+
+/* Define if you have the strerror function.  */
+#define HAVE_STRERROR 1
+
+/* Define if you have the strftime function.  */
+#define HAVE_STRFTIME 1
+
+/* Define if you have the strptime function.  */
+#define HAVE_STRPTIME 1
+
+/* Define if you have the symlink function.  */
+/* #undef HAVE_SYMLINK */
+
+/* Define if you have the sync function.  */
+/* #undef HAVE_SYNC */
+
+/* Define if you have the tcgetpgrp function.  */
+#define HAVE_TCGETPGRP 1
+
+/* Define if you have the tcsetpgrp function.  */
+#define HAVE_TCSETPGRP 1
+
+/* Define if you have the times function.  */
+#define HAVE_TIMES 1
+
+/* Define if you have the uname function.  */
+#define HAVE_UNAME 1
+
+/* Define if you have the waitpid function.  */
+#define HAVE_WAITPID 1
+
+/* Define if you have the <dirent.h> header file.  */
+#define HAVE_DIRENT_H 1
+
+/* Define if you have the <libc.h> header file.  */
+/* #undef HAVE_LIBC_H */
+
+/* Define if you have the <limits.h> header file.  */
+#define HAVE_LIMITS_H 1
+
+/* Define if you have the <malloc.h> header file.  */
+#define HAVE_MALLOC_H 1
+
+/* Define if you have the <memory.h> header file.  */
+#define HAVE_MEMORY_H 1
+
+/* Define if you have the <ndir.h> header file.  */
+/* #undef HAVE_NDIR_H */
+
+/* Define if you have the <string.h> header file.  */
+#define HAVE_STRING_H 1
+
+/* Define if you have the <sys/dir.h> header file.  */
+/* #undef HAVE_SYS_DIR_H */
+
+/* Define if you have the <sys/ioctl.h> header file.  */
+#define HAVE_SYS_IOCTL_H 1
+
+/* Define if you have the <sys/ndir.h> header file.  */
+/* #undef HAVE_SYS_NDIR_H */
+
+/* Define if you have the <sys/select.h> header file.  */
+#define HAVE_SYS_SELECT_H 1
+
+/* Define if you have the <sys/time.h> header file.  */
+#define HAVE_SYS_TIME_H 1
+
+/* Define if you have the <sys/timeb.h> header file.  */
+#define HAVE_SYS_TIMEB_H 1
+
+/* Define if you have the <sys/times.h> header file.  */
+#define HAVE_SYS_TIMES_H 1
+
+/* Define if you have the <sys/types.h> header file.  */
+#define HAVE_SYS_TYPES_H 1
+
+/* Define if you have the <sys/utime.h> header file.  */
+#define HAVE_SYS_UTIME_H 1
+
+/* Define if you have the <time.h> header file.  */
+#define HAVE_TIME_H 1
+
+/* Define if you have the <unistd.h> header file.  */
+#define HAVE_UNISTD_H 1
+
+/* Define if you have the <utime.h> header file.  */
+#define HAVE_UTIME_H 1
+
+/* Define if you have the dl library (-ldl).  */
+/* #undef HAVE_LIBDL */
+
+/* Define if you have the dld library (-ldld).  */
+/* #undef HAVE_LIBDLD */
+
+/* Define if you have the m library (-lm).  */
+#define HAVE_LIBM 1
+
+/* Define if you have the nsl library (-lnsl).  */
+/* #undef HAVE_LIBNSL */
+
+/* Define if you have the socket library (-lsocket).  */
+#define HAVE_LIBSOCKET 1
Index: libguile/socket.c
===================================================================
RCS file: /cvsroot/gnu/guile/libguile/socket.c,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- socket.c	1997-06-11 15:07:09+09	1.1.1.2
+++ socket.c	1997-06-23 13:44:11+09	1.2
@@ -38,6 +38,8 @@
  * whether to permit this exception to apply to your modifications.
  * If you do not wish that, delete this exception notice.  
  */
+
+/* 23 Jun 1997 Modified by Kaz Sasayama <kaz@hypercore.co.jp>.  */
 
 
 #include <stdio.h>
@@ -125,6 +127,7 @@
      SCM style;
      SCM proto;
 {
+#ifndef __EMX__			/* EMX lacks socketpair.  */
   int fam;
   int fd[2];
   SCM a;
@@ -144,6 +147,11 @@
   b = scm_sock_fd_to_port (fd[1], s_socketpair);
   SCM_ALLOW_INTS;
   return scm_cons (a, b);
+#else
+  scm_sysmissing (s_socketpair);
+  /* not reached.  */
+  return SCM_BOOL_F;
+#endif
 }
 
 
@@ -349,6 +357,7 @@
 	*size = sizeof (struct sockaddr_in);
 	return (struct sockaddr *) soka;
       }
+#ifndef __EMX__			/* EMX lacks struct sockaddr_un.  */
     case AF_UNIX:
       {
 	struct sockaddr_un *soka;
@@ -363,6 +372,7 @@
 	*size = sizeof (struct sockaddr_un);
 	return (struct sockaddr *) soka;
       }
+#endif
     default:
       scm_out_of_range (proc, SCM_MAKINUM (fam));
     }
@@ -446,6 +456,7 @@
   short int fam = address->sa_family;
   SCM result;
   SCM *ve;
+#ifndef __EMX__			/* EMX lacks struct sockaddr_un.  */
   if (fam == AF_UNIX)
     {
       struct sockaddr_un *nad = (struct sockaddr_un *) address;
@@ -456,6 +467,9 @@
 			      (scm_sizet) strlen (nad->sun_path), 0);
     }
   else if (fam == AF_INET)
+#else
+  if (fam == AF_INET)
+#endif
     {
       struct sockaddr_in *nad = (struct sockaddr_in *) address;
       result = scm_make_vector (SCM_MAKINUM (3), SCM_UNSPECIFIED, SCM_BOOL_F);
@@ -480,8 +494,10 @@
 static void
 scm_init_addr_buffer ()
 {
+#ifndef __EMX__			/* EMX lacks struct sockaddr_un.  */
   scm_addr_buffer_size = (int) sizeof (struct sockaddr_un);
   if (sizeof (struct sockaddr_in) > scm_addr_buffer_size)
+#endif
     scm_addr_buffer_size = (int) sizeof (struct sockaddr_in);
   scm_addr_buffer = scm_must_malloc (scm_addr_buffer_size, "address buffer");
 }
